import java.awt.event.*;
import java.util.ArrayList;
import java.util.Arrays;

/**
 * Lab #5 CS 2334, Section SECTION NUMBER GOES HERE DATE GOES HERE
 * <p>
 * The MVC controller for the program.
 * </p>
 * 
 * @version 1.0
 * 
 */
public class AcademicPapersController {
	private AcademicPapersModel model;
	private AcademicPapersInputWindow inputView;

	/**
	 * Creates new AcademicPaperController
	 */
	public AcademicPapersController() {
		// intentionally empty
	}

	/**
	 * AddAcademicPaperListener provides a method to create a new academic paper. 
	 * The academic paper should then be added to the academic paper list of the
	 * model. The values for the new academic paper come from the fields of the 
	 * inputView. If the model is null when the method is called, it returns 
	 * without taking any action.
	 */
	private class AddAcademicPaperListener implements ActionListener {
		// add method here

	}

	/**
	 * ClearAcademicPapersListener provides a method to clear the academic paper 
	 * list of the model. If the model is null when the method is called, it 
	 * returns without taking any action.
	 */
	private class ClearAcademicPapersListener implements ActionListener {
		// add method here
		
	}

	/**
	 * ClearInputFieldsListener provides a method to clear the input fields of
	 * the inputView.
	 */
	private class ClearInputFieldsListener implements ActionListener {
		// add method here
	
	}

	/**
	 * @param model to set as the model
	 */
	public void setModel(AcademicPapersModel model) {
		this.model = model;
	}

	/**
	 * @return model
	 */
	public AcademicPapersModel getModel() { // future use
		return model;
	}

	/**
	 * @param theView on which the listeners should be set
	 */
	public void setInputWindow(AcademicPapersInputWindow theView) {
		inputView = theView;

		// Register listeners
		inputView.getAddAcademicPaperButton().addActionListener(new AddAcademicPaperListener());

		/**
		 * TODO
		 * The first action listener has been added above. You need to add the
		 * others below. There needs to be at least one action listener for each
		 * component on which actions can occur.
		 */
		

		System.out.println("listeners registered in controller for input window");
	}

	/**
	 * @return the window (in case it needs to be sent messages from elsewhere)
	 */
	public AcademicPapersInputWindow getInputWindow() { // future use
		return inputView;
	}
}